# List user expense items

Retrieves a list of expense items reported by a specific user.

Endpoint: GET /users/{user_id}/expense_items
Version: v1
Security: AuthToken

## Path parameters:

  - `user_id` (integer, required)
    The ID of the user.

## Query parameters:

  - `from` (string)
    Get expenses reported on or after this date.
    Example: "2017-03-14"

  - `to` (string)
    Get expenses reported on or before this date.
    Example: "2017-03-21"

  - `per_page` (integer)
    Parameters for pagination.

  - `page` (integer)
    Parameters for pagination.

## Response 200 fields (application/json):

  - `paging` (object)

  - `paging.per_page` (integer)
    The maximum number of items to show per response page.
    Example: 100

  - `paging.page` (integer)
    The current response page number.
    Example: 1

  - `paging.previous` (string,null)
    If you're on the first page, this value is null; otherwise the value is the path and query parameters to get the previous page of items.
    Example: "/api/v1/users?per_page=1000&page=1"

  - `paging.self` (string)
    The path and query parameters to get the current page of items.
    Example: "/api/v1/users?per_page=1000&page=2"

  - `paging.next` (string,null)
    If there are more items, this value is the path and query parameters to get the next page of items; otherwise, it's null.
    Example: "/api/v1/users?per_page=1000&page=3"

  - `paging.count` (integer,null)
    The total number of items in all the pages.

  - `data` (array)

  - `data.expense_item_id` (integer)
    Unique identifier for the expense item.
    Example: 1

  - `data.assignable_id` (integer, required)
    ID of the item being assigned.
    Example: 32

  - `data.assignable_type` (string)
    The type of the assignable item.
    Enum: "Project", "LeaveType", "Phase"

  - `data.user_id` (integer, required)
    ID of the user to whom the item is assigned.
    Example: 2

  - `data.amount` (number, required)
    The assigned amount.
    Example: 10

  - `data.date` (string, required)
    The date of the expense item.
    Example: "2015-04-09"

  - `data.category` (string,null)
    The category of the expense item. Can be null.

  - `data.notes` (string,null)
    Additional notes for the expense item.
    Example: "Testing exp"

  - `data.created_at` (string)
    Timestamp when the expense item was created.
    Example: "2015-04-09T21:54:13Z"

  - `data.updated_at` (string)
    Timestamp when the expense item was last updated.
    Example: "2015-04-09T21:54:13Z"


## Response 404 fields
